> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Data Profile

> Retrieves specific employee data profile under a payroll connection



## OpenAPI

````yaml GET /v1/payroll-connections/{payroll_connection}/employee-data/{employee_data}/profiles/{profile}
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/payroll-connections/{payroll_connection}/employee-data/{employee_data}/profiles/{profile}:
    get:
      tags:
        - Payroll Connections
      summary: Get employee data
      description: Retrieves specific employee data profile under a payroll connection
      operationId: getEmployeeData
      parameters:
        - name: payroll_connection
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: employee_data
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: profile
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Employee details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeDataProfileResponse'
              example:
                id: 11111111-1111-1111-1111-111111111111
                employeeDataId: aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa
                payrollConnectionId: 880e8400-e29b-41d4-a716-446655440003
                payrollPlatformEmployeeIdentifier: PPL-98765
                payrollPlatformDisplayIdentifier: EMP-12345
                ssn: 123-45-6789
                addresses:
                  - address1: 123 Main St
                    address2: Apt 4B
                    city: San Francisco
                    countryCode: US
                    state: CA
                    zip: '94102'
                contact:
                  emailPersonal: null
                  emailWork: john.doe@example.com
                  phoneNumberPersonal: null
                  phoneNumberPersonalHome: null
                  phoneNumberPersonalMobile: '+11235550123'
                  phoneNumberWork: null
                  phoneNumberWorkHome: null
                  phoneNumberWorkMobile: null
                dateOfBirth: '1985-06-15'
                firstName: John
                lastName: Doe
                middleName: Robert
                maritalStatus: M
                sex: M
                adjustedServiceDate: null
                hireDate: '2020-03-15'
                isContractor: false
                leaveStartDate: null
                leaveEndDate: null
                rehireDate: null
                seniorityDate: '2020-03-15'
                employmentStatus: A
                terminationDate: null
                employmentType: F
                payRates:
                  - amount: '75000.00'
                    default: true
                    type: ANNUAL
                payFrequency: BI_WEEKLY
                payType: S
        '401':
          description: Unauthorized - Invalid or missing authentication credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Payroll connection or employee data does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetEmployeeDataProfileResponse:
      type: object
      required:
        - id
        - payrollPlatformEmployeeIdentifier
        - payrollConnectionId
      properties:
        id:
          type: string
          format: uuid
          description: Payroll Integrations employee specific uuid
        addresses:
          type: array
          items:
            type: object
            properties:
              address1:
                type:
                  - string
                  - 'null'
              address2:
                type:
                  - string
                  - 'null'
              city:
                type:
                  - string
                  - 'null'
              countryCode:
                type:
                  - string
                  - 'null'
              state:
                type:
                  - string
                  - 'null'
              zip:
                type:
                  - string
                  - 'null'
        adjustedServiceDate:
          type:
            - string
            - 'null'
          format: date
          description: >-
            Adjusted date of when the employee's service began in case of
            transfers, leaves of absence, etc. in ISO format YYYY-MM-DD
        contact:
          type: object
          properties:
            emailPersonal:
              type:
                - string
                - 'null'
              format: email
            emailWork:
              type:
                - string
                - 'null'
              format: email
            phoneNumberPersonal:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
            phoneNumberPersonalHome:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
            phoneNumberPersonalMobile:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
            phoneNumberWork:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
            phoneNumberWorkHome:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
            phoneNumberWorkMobile:
              type:
                - string
                - 'null'
              description: Phone number will be in the e164 format
        dateOfBirth:
          type:
            - string
            - 'null'
          format: date
          description: Date of Birth in ISO format YYYY-MM-DD
        employeeDataId:
          type: string
          format: uuid
          description: Payroll Integrations employee data specific uuid
        employmentStatus:
          type:
            - string
            - 'null'
          enum:
            - A
            - T
            - C
            - D
            - R
            - L
          description: >-
            A=Active, T=Terminated, C=Deceased, D=Disabled, R=Retired, L=Leave
            of Absence
        employmentType:
          type:
            - string
            - 'null'
          enum:
            - F
            - P
            - T
            - I
            - S
            - C
          description: >-
            F=Full time, P=Part time, T=Temporary, I=Intern, S=Seasonal,
            C=Contractor
        firstName:
          type:
            - string
            - 'null'
        hireDate:
          type:
            - string
            - 'null'
          format: date
          description: Hire Date in ISO format YYYY-MM-DD
        isContractor:
          type:
            - boolean
            - 'null'
        lastName:
          type:
            - string
            - 'null'
        leaveEndDate:
          type:
            - string
            - 'null'
          format: date
          description: Leave End Date in ISO format YYYY-MM-DD
        leaveStartDate:
          type:
            - string
            - 'null'
          format: date
          description: Leave Start Date in ISO format YYYY-MM-DD
        maritalStatus:
          type:
            - string
            - 'null'
          enum:
            - D
            - M
            - S
            - W
            - H
            - P
          description: >-
            D=Divorced, M=Married, S=Single, W=Widowed, H=Head of House,
            P=Domestic Partner
        middleName:
          type:
            - string
            - 'null'
        payFrequency:
          type:
            - string
            - 'null'
          enum:
            - DAILY
            - WEEKLY
            - BI_WEEKLY
            - SEMI_MONTHLY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - UNSCHEDULED
          description: >-
            The frequency at which the employee is paid. Used to calculate pay
            period amount from annual salary amount or vice versa.
        payRates:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              amount:
                type:
                  - string
                  - 'null'
              default:
                type:
                  - boolean
                  - 'null'
                description: Indicates if this is the default pay rate for the employee.
              type:
                type:
                  - string
                  - 'null'
                enum:
                  - PER_PAY_PERIOD
                  - ANNUAL
                  - HOURLY
                  - DAILY
                  - WEEKLY
                  - MONTHLY
                  - PIECEWORK
                  - SEMI_MONTHLY
                  - BI_WEEKLY
        payrollConnectionId:
          type: string
          format: uuid
        payrollPlatformDisplayIdentifier:
          type:
            - string
            - 'null'
          description: The payroll platform specific display employee identifier.
        payrollPlatformEmployeeIdentifier:
          type: string
          description: The payroll platform specific unique employee identifier.
        payType:
          type:
            - string
            - 'null'
          enum:
            - H
            - S
          description: >-
            Denotes whether the employee is salaried or paid an hourly wage.
            H=Hourly, S=Salaried
        rehireDate:
          type:
            - string
            - 'null'
          format: date
          description: Rehire Date in ISO format YYYY-MM-DD
        seniorityDate:
          type:
            - string
            - 'null'
          format: date
          description: Seniority Date in ISO format YYYY-MM-DD
        sex:
          type:
            - string
            - 'null'
          enum:
            - M
            - F
        ssn:
          type:
            - string
            - 'null'
          description: 'Social security number if provided in the format ###-##-####'
        terminationDate:
          type:
            - string
            - 'null'
          format: date
          description: Termination Date in ISO format YYYY-MM-DD
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string

````